Upstream information

CVE-2012-3355 at MITRE

Description

(1) AlbumTab.py, (2) ArtistTab.py, (3) LinksTab.py, and (4) LyricsTab.py in the Context module in GNOME Rhythmbox 0.13.3 and earlier allows local users to execute arbitrary code via a symlink attack on a temporary HTML template file in the /tmp/context directory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.6
Vector AV:L/AC:L/Au:N/C:N/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 768681 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP2
SUSE Linux Enterprise Workstation Extension 12 SP3
SUSE Linux Enterprise Workstation Extension 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP5
  • rhythmbox >= 3.4-6.14
  • rhythmbox-lang >= 3.4-6.14
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Workstation Extension 12
SUSE Linux Enterprise Workstation Extension 12 SP1
  • rhythmbox >= 3.0.2-1.92
  • rhythmbox-lang >= 3.0.2-1.92
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • rhythmbox >= 3.4-6.14
  • rhythmbox-devel >= 3.4-6.14
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
  • rhythmbox >= 3.0.2-1.92
  • rhythmbox-devel >= 3.0.2-1.92
openSUSE 11.4
  • rhythmbox >= 0.13.3-8.1
  • rhythmbox-debuginfo >= 0.13.3-8.1
  • rhythmbox-debugsource >= 0.13.3-8.1
  • rhythmbox-devel >= 0.13.3-8.1
  • rhythmbox-lang >= 0.13.3-8.1
Patchnames:
openSUSE-2012-491
openSUSE Tumbleweed
  • rhythmbox >= 3.4.1-1.1
  • rhythmbox-devel >= 3.4.1-1.1
  • rhythmbox-lang >= 3.4.1-1.1
Patchnames:
openSUSE Tumbleweed GA rhythmbox